<?xml version='1.0'?>
<!DOCTYPE xsl:stylesheet
[
 <!ENTITY % mmlalias PUBLIC "MathML alias" "ent/mmlalias.ent">  %mmlalias;
 <!ENTITY % mmlextra PUBLIC "MathML extra" "ent/mmlextra.ent">  %mmlextra;
]>
<!--########################################################################### 
 |    $Id: mathml.mod.xsl,v 1.3 2001/04/25 21:19:44 ben Exp $        
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE: MathML presentation and content markup.
 |    Note: these elements are not part of the DocBook DTD. I have extended
 |    the docbook DTD in order to support this tags, so that's why I have these 
 |    templates here.
 |   
 |    MathML namespace used -> mml
 + ############################################################################ -->

<xsl:stylesheet version='1.0'
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns="http://www.w3.org/1998/Math/MathML">

<xsl:strip-space elements="mml:math mml:mrow"/>


<xsl:template match="mml:math">
    <xsl:text>&#10;\begin_inset Formula \[&#10;</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>\]&#10;\end_inset&#10;</xsl:text>
</xsl:template>

<xsl:template match="mml:math[@mode='inline']">
    <xsl:text>&#10;\begin_inset Formula \(</xsl:text>
    <xsl:apply-templates mode="mathml.inline"/>
    <xsl:text>\)&#10;\end_inset&#10;</xsl:text>
</xsl:template>

<xsl:template match="mml:math[@mode='display']">
    <xsl:text>&#10;\begin_inset Formula \[&#10;</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>\]&#10;\end_inset&#10;</xsl:text>
</xsl:template>


<xsl:template match="p">
    <xsl:text>\section{</xsl:text> <xsl:value-of select="normalize-space(.)"/> <xsl:text>}
</xsl:text>
</xsl:template>


<xsl:template match="inlineequation">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="alt">
</xsl:template>

</xsl:stylesheet>
