<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: vars.mod.xsl,v 1.3 2001/03/20 20:51:45 ben Exp $        
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 |   PURPOSE: User and stylesheets XSL variables 
 + ############################################################################ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>


<!--########################################################################### 
 |  COMMON VARIABLES
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 + ############################################################################ -->
<xsl:variable name="default-classsynopsis-language">java</xsl:variable>

<xsl:variable name="author.othername.in.middle" select="1"/>
<xsl:variable name="refentry.xref.manvolnum" select="1"/>
<xsl:variable name="funcsynopsis.style">kr</xsl:variable>
<xsl:variable name="funcsynopsis.decoration" select="1"/>
<xsl:variable name="function.parens">0</xsl:variable>
<xsl:variable name="refentry.generate.name" select="1"/>
<xsl:variable name="show.comments" select="1"/>

<xsl:variable name="section.autolabel" select="1"/>
<xsl:variable name="section.label.includes.component.label" select="0"/>
<xsl:variable name="chapter.autolabel" select="1"/>
<xsl:variable name="preface.autolabel" select="0"/>
<xsl:variable name="part.autolabel" select="1"/>
<xsl:variable name="qandadiv.autolabel" select="1"/>
<xsl:variable name="qanda.inherit.numeration" select="1"/>
<xsl:variable name="qanda.defaultlabel">number</xsl:variable>
<xsl:variable name="biblioentry.item.separator">, </xsl:variable>
<xsl:variable name="toc.section.depth">4</xsl:variable>
<xsl:variable name="num.section.depth">4</xsl:variable>
<xsl:variable name="link.mailto.url"></xsl:variable>
<xsl:variable name="graphic.default.extension"></xsl:variable>
<xsl:variable name="toc.list.type">dl</xsl:variable>
<xsl:variable name="check.idref">1</xsl:variable>


<!--########################################################################### 
 |     LaTeX VARIABLES
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 |   PURPOSE: User and stylesheets XSL variables 
 + ############################################################################ -->
 
<doc:param name="latex.titlepage.file" xmlns="">
    <refpurpose> DB2LaTeX allows using a (externally generated) cover page.  </refpurpose>
    <refdescription>
        <para>
        DB2LaTeX allows using a (externally generated) cover page. The stylesheets
        check for the valuee of the variable <literal>latex.titlepage.file</literal>
        If given, the generated LaTeX code includes an \input{filename}. Otherwise
        it uses the \maketitle command. </para>
        <warning><para>
        Bear in mind that using an external cover page
        breaks the "encapsulation" of docbook. Further revisions of these stylesheets
        will add chunking support, and the automation of the cover file generation.
        </para></warning>
    </refdescription>
</doc:param>
<xsl:variable name="latex.titlepage.file">title</xsl:variable>


<doc:param name="lyx.admonition.path" xmlns="">
    <refpurpose> DB2LyX graphics admonitions  </refpurpose>
    <refdescription>
        <para>
        </para>
    </refdescription>
</doc:param>
<xsl:variable name="lyx.admonition.path">figures</xsl:variable>


<doc:param name="latex.biblio.output" xmlns="">
    <refpurpose> The DB2LaTeX generated bibliography (bibitems) may either
    include all biblioentries found in the document, or only de ones explicitly
    cited with <sgmltag>citation</sgmltag>.  </refpurpose>
    <refdescription>
        <para>Two values are possible either: all or cited.</para>
    </refdescription>
</doc:param>
<xsl:variable name="latex.biblio.output">all</xsl:variable>


<doc:param name="latex.bibfiles" xmlns="">
    <refpurpose>
    Controlling the output of the \bibliography{.bib}.
    </refpurpose>
    <refdescription>
        <para>The value of this parameter is output.</para>
    </refdescription>
</doc:param>
<xsl:variable name="latex.bibfiles">''</xsl:variable>


<doc:param name="latex.bibwidelabel" xmlns="">
    <refpurpose> The DB2LaTeX generated bibliography (bibitems) may either
    include all biblioentries found in the document, or only de ones explicitly
    cited with <sgmltag>citation</sgmltag>.  </refpurpose>
    <refdescription>
        <para>The environment bibliography accepts a parameter that indicates
        the widest label, which is used to correctly format the bibliography
        output. The value of this parameter is output inside the
        <literal>\begin{thebibliography[]}</literal> LaTeX command.</para>
    </refdescription>
</doc:param>
<xsl:variable name="latex.bibwidelabel">WIDELABEL</xsl:variable>


<xsl:variable name="lyx.doc.separation">skip</xsl:variable>
<xsl:variable name="lyx.lang.lang">english</xsl:variable>
<xsl:variable name="lyx.lang.encoding">default</xsl:variable>
<xsl:variable name="latex.use.hyperref">1</xsl:variable>


<doc:param name="latex.math.support" xmlns="">
    <refpurpose> Controls the output of LaTeX packages and commands to support 
    documents with math commands and environments..</refpurpose>
    <refdescription>
        <para>If this parameter is set to 1, the stylesheets generate code to 
        <emphasis>DEFAULT: 1</emphasis> Only more code is generated. 
        </para>
    </refdescription>
</doc:param>
<xsl:variable name="latex.math.support">1</xsl:variable>



<doc:param name="latex.output.revhistory" xmlns="">
    <refpurpose> Controls  if the revision history table is generated as the first document 
    table.
    </refpurpose>
    <refdescription>
        <para>If this parameter is set to 1, the stylesheets generate code to 
        <emphasis>DEFAULT: 1</emphasis> Only more code is generated. 
        </para>
    </refdescription>
</doc:param>
<xsl:variable name="latex.output.revhistory">1</xsl:variable>


<doc:param name="lyx.book.begindocument" xmlns="">
    <refpurpose> 
    Begin document command, and default graphics extension declaration.
    </refpurpose>
    <refdescription>
    <xsl:value-of select="$lyx.book.begindocument"/>
    </refdescription>
</doc:param>
<xsl:variable name="lyx.book.begindocument">
<xsl:text></xsl:text>
</xsl:variable>


<doc:param name="lyx.book.afterauthor" xmlns="">
    <refpurpose> 
    LaTeX code that is output after the author (e.g. 
    <literal>\makeindex, \makeglossary</literal>
    </refpurpose>
    <refdescription>
    </refdescription>
</doc:param>
<xsl:variable name="lyx.book.afterauthor">
<xsl:text>&#10;</xsl:text>
</xsl:variable>




<doc:param name="lyx.book.end" xmlns="">
    <refpurpose> 
    LyX code that is output at the end of the document
    <literal>\the_end</literal>
    </refpurpose>
    <refdescription>
    </refdescription>
</doc:param>
<xsl:variable name="lyx.book.end">
<xsl:text>&#10;\the_end&#10;</xsl:text>
</xsl:variable>



<!--########################################################################### 
 |     XSL VARIABLES FOR ARTICLES    
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 + ############################################################################ -->



<doc:param name="lyx.article.begindocument" xmlns="">
    <refpurpose> 
    The begin document
    </refpurpose>
    <refdescription>
    </refdescription>
</doc:param>

<xsl:variable name="lyx.article.begindocument">
</xsl:variable>

<xsl:variable name="latex.article.maketitle">
<xsl:text>&#10;</xsl:text>
<xsl:text>\maketitle&#10;</xsl:text>
</xsl:variable>

<xsl:variable name="lyx.article.end">
<xsl:text>&#10;</xsl:text>
</xsl:variable>



</xsl:stylesheet>

